Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class NoBannerLogger

    java.lang.Object
      |
      +--org.apache.tools.ant.DefaultLogger
            |
            +--org.apache.tools.ant.NoBannerLogger

All Implemented Interfaces:
  BuildListener, BuildLogger, java.util.EventListener

public class NoBannerLogger
extends DefaultLogger

Extends DefaultLogger to strip out empty targets.

Author:
  Peter Donald

Field Summary
`protected java.lang.String` | `targetName`

Fields inherited from class org.apache.tools.ant.DefaultLogger
`emacsMode, err, lSep, msgOutputLevel, out`

Constructor Summary
`NoBannerLogger()`

Method Summary
`void` | `messageLogged(BuildEvent event)` Fired whenever a message is logged.
`void` | `targetFinished(BuildEvent event)` Fired when a target has finished.
`void` | `targetStarted(BuildEvent event)` Fired when a target is started.

Methods inherited from class org.apache.tools.ant.DefaultLogger
`buildFinished, buildStarted, formatTime, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, taskFinished, taskStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### targetName

    protected java.lang.String targetName

Constructor Detail

### NoBannerLogger

    public NoBannerLogger()

Method Detail

### targetStarted

    public void targetStarted(BuildEvent event)

  Description copied from interface: `BuildListener`
  Fired when a target is started.
  Overrides:
    `targetStarted` in class `DefaultLogger`
  Following copied from interface: `org.apache.tools.ant.BuildListener`
  See Also:
    `BuildEvent.getTarget()`

### targetFinished

    public void targetFinished(BuildEvent event)

  Description copied from interface: `BuildListener`
  Fired when a target has finished. This event will still be thrown if an error occured during the build.
  Overrides:
    `targetFinished` in class `DefaultLogger`
  Following copied from interface: `org.apache.tools.ant.BuildListener`
  See Also:
    `BuildEvent.getException()`

### messageLogged

    public void messageLogged(BuildEvent event)

  Description copied from interface: `BuildListener`
  Fired whenever a message is logged.
  Overrides:
    `messageLogged` in class `DefaultLogger`
  Following copied from interface: `org.apache.tools.ant.BuildListener`
  See Also:
    `BuildEvent.getMessage()`, `BuildEvent.getPriority()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.